knowledge module route (requires knowledge:data_product:write)
POST
/v1/m/knowledge/data-products/{id}/contracts
const url = 'https://example.com/v1/m/knowledge/data-products/example/contracts';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"completeness_threshold":1,"freshness_override_seconds":1,"note":"example","schema_definition":{},"validation_mode":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/knowledge/data-products/example/contracts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "completeness_threshold": 1, "freshness_override_seconds": 1, "note": "example", "schema_definition": {}, "validation_mode": "" }'Creates one data contract version for a data product.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
completeness_threshold
integer format: int64
freshness_override_seconds
integer format: int64
note
Notes containing a recognized secret are rejected.
string
schema_definition
validation_mode
Empty defaults to strict when a non-empty schema exists, otherwise none.
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}